import {HttpMethod, Route, StatusCodes} from 'org.crazydoctor.expressts';
import {Request, Response} from 'express';
import { Sources } from '../sources/Sources';

class GetIndex extends Route {
	protected action = (req: Request, res: Response): any => {
		res.status(StatusCodes.OK).render('index', { template: 'index', title: 'Doczilla JS Docs', lastUpdateTime: Sources.time().getTime(), ClassList: Sources.getShortenedClassMap(), RepoNames: Sources.getRepoNames() }, (err, html) => {
			console.log(this.context.getOption('static'));
			if(err)
				console.log(err);
			res.send(html);
		});
	};

	protected method = HttpMethod.GET;
	protected order = 0;
	protected route = '/';
}

export default GetIndex;